#include <iostream>
#include <vector>
#include <cmath>

using namespace std;

int main()
{
    cout << "Výpočet korelačního koeficientu" << endl;

    vector<double> x {
        3, 2, 3, 2, 2, 3, 4, 5, 3, 5, 2, 5, 4, 3, 4,
        3, 5, 4, 5, 3, 2, 4, 5, 3, 2, 4, 5, 5, 3, 3,
        4, 3, 3, 3, 5, 4, 3, 4, 2, 1, 5, 5, 3, 3, 2, 4, 2 };
    vector<double> y {
        3, 5, 1, 5, 5, 5, 5, 5, 5, 5, 4, 5, 2, 3, 3,
        5, 5, 5, 5, 5, 0, 5, 5, 3, 5, 5, 5, 5, 4, 5,
        3, 4, 2, 1, 5, 5, 3, 5, 3, 1, 5, 2, 5, 5, 0, 5, 5 };

    for (auto i : x) cout << i << " ";
    cout << endl;
    for (auto i : y) cout << i << " ";
    cout << endl;

    double exy {0}, ex {0}, ey {0}, ex2 {0}, ey2 {0};
    const auto N = x.size();
    for (unsigned int i=0; i<N; i++)
      {
        exy += x[i]*y[i];
        ex  += x[i];
        ey  += y[i];
        ex2 += x[i]*x[i];
        ey2 += y[i]*y[i];
      }
    exy /= N;
    ex  /= N;
    ey  /= N;
    ex2 /= N;
    ey2 /= N;

    double r = (exy - ex*ey)/(sqrt(ex2 - ex*ex)*sqrt(ey2 - ey*ey));
    cout << "r = " << r << endl;

    return 0;
}
