#include <iostream>
#include <iomanip>       // manipulatory setw, setprecision
#include <vector>
#include <cmath>

using namespace std;

struct Bod {double x; double y;};
std::vector<Bod> polygon {
    { 120.34,  110.64}, { 24.67, 203.16}, {-100.84, 134.91},
    {-141.56, -132.24}, {111.92, 108.64}
    };

double plocha(std::vector<Bod> p)
{
    const int N = p.size();
    bool uzavreny = p[0].x == p[N-1].x && p[0].y == p[N-1].y;
    double P = 0;
    for (int i=0; i<N-1; i++) {
        P += (p[i+1].x - p[i].x)*(p[i+1].y+p[i].y);
    }
    if (!uzavreny) P += (p[N-1].x-p[0].x)*(p[N-1].y+p[0].y);
    return std::abs(P/2);
}

int main()
{
    cout << "Výpočet plochy polygonu" << endl;
    for (auto b : polygon) {
        cout << setw(7) << b.x << " " << setw(7) << b.y << endl;
    }

    cout << "\nplocha = " << fixed << setprecision(2) << plocha(polygon) << endl;
    return 0;
}
