#include <iostream>
#include <string>
#include <vector>
#include <algorithm>

using namespace std;

using PointID = std::string;

struct Point {
  Point (const char* pid) : id(pid) {}  // jen abych mel zde snazsi psani, inicializaci
  PointID id;
  double x;
  double y;
  bool operator< (const Point &a) { return (id <  a.id); }
  bool operator==(const Point &a) { return (id == a.id); }
};

int main()
{
  cout << "Hello Decomposition!" << endl;
  std::vector<Point> same_points {"3","7","3","6","3","7","4","6","3","7","7"};

  std::sort(same_points.begin(), same_points.end());

  for (std::vector<Point>::iterator j, i=same_points.begin(), e=same_points.end(); i!=e; )
    {
      j=i;
      j++;
      while(j!=e && *i==*j) j++;

      // i a j mi nyni definuji interval, tj. seznam "stejnych" bodu
      while (i != j) cout << (i++)->id << " ";  cout << "\n";

      // i nyni ukazuje za zpracovanou tridu rozkladu (trojky, ctyrky, sestky sedmicky)
      // a cyklus for muze pokracovat
    }

  return 0;
}
